package com.bocloud.cmp.provider.f5;

import com.bocloud.cmp.model.f5.NodeModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * f5 node操作服务接口
 *
 * @author liuyuanyuan
 */
public interface NodeProvider extends SuperProvider {
    /**
     * node列表
     *
     * @return
     */
    public BocloudResult list();

    /**
     * 获取node状态
     *
     * @param nodeName
     * @return
     */
    public BocloudResult stats(String nodeName);

    /**
     * 创建node
     *
     * @param nodeModel
     * @param
     */
    public BocloudResult create(NodeModel nodeModel);

    /**
     * 更新node
     *
     * @param nodeModel
     * @return
     */
    public BocloudResult update(NodeModel nodeModel);

    /**
     * 删除node
     *
     * @param name
     * @return
     */
    public BocloudResult remove(String name);
}
